#ifndef __RIP_XOR_INST_H
#define __RIP_XOR_INST_H

#include "Windas.h"
#include "XedWrap.h"
#include "NativeCode.h"

BOOL JitEmitRipRelativeXorD(PNATIVE_CODE_BLOCK Block, INT32 RipDelta, ULONG Value);

BOOL JitEmitRipRelativeXorW(PNATIVE_CODE_BLOCK Block, INT32 RipDelta, ULONG Value);

BOOL JitEmitRipRelativeXorB(PNATIVE_CODE_BLOCK Block, INT32 RipDelta, ULONG Value);



#endif
